2005-01-07  Stefan Hundhammer  <sh@suse.de>

	* Improved handling of sparse files: 
	  Now adding up only allocated size

	* Improved handling of regular files with multiple links:
	  Now adding up size / no_links per occurence.
	  This is much closer to what "du" reports.

	* Extended "own size" column context menu to show sparse files
	  and regular files with multiple links

	* Reordered "own size" column context menu for consistency: xxx MB (yyy Bytes)

	* Removed currently read path from status line while reading:
	  Much less flicker, no more constant window resizing, improved performance

	* Added explanations for sparse files and multiple links to online help
	
	* Bumped version to 2.4.4
	

2004-12-06  Stefan Hundhammer  <sh@suse.de>

	* Added "Open with" cleanup upon request by Jarl Friis <jarl@softace.dk>

	* Bumped version to 2.4.3

2004-11-23  Stefan Hundhammer  <sh@suse.de>

	* Migration to KIO slave trash:/ for "move to trash" cleanup
	  (querying KDE version >= 3.4 at runtime)

	* Added configuration update for safer transition from old-style
 	  fixed "*/Trash" paths to "%t" placeholder

	* Fixed lots of KDE libs "deprecated" warnings

	* Reimported admin/ subdir from a recent KDE version (3.3.0)

	* Bumped version to 2.4.2


2004-03-30  Stefan Hundhammer  <sh@suse.de>

	* Fixed KPacMan rendering in toolbar (thanks to Coolo)


2004-03-01  Stefan Hundhammer  <sh@suse.de>

	* Updated German translation


2003-11-13  Stefan Hundhammer  <sh@suse.de>

	* Added Italian translation by Giuliano Colla <colla@copeca.it>


2003-10-29  Stefan Hundhammer  <sh@suse.de>

	* Applied i18n patch by Toyohiro Asukai <toyohiro@ksmplus.com>

	* Updated Japanese translation by Toyohiro Asukai <toyohiro@ksmplus.com>


2003-10-20  Stefan Hundhammer  <sh@suse.de>

	* Fixed some SuSE-internal Autobuild complaints

	* Fixed treemap context menu popup location

	* Bumped version to 2.4.1


2003-09-15  Stefan Hundhammer  <sh@suse.de>

	* Added Hungarian translation contributed by
	  Marcel Hilzinger <hili@suselinux.hu>

2003-08-26  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 2.4.0

	* Fixed crash on program end while reading directories

	* Fixed crash on open dir while still reading another directory

	* Added "stop reading" action

	* Added German translation contributed by
	  Christoph Eckert <fmchristoph.eckert@t-online.de>


2003-05-25  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 2.3.7

	* Performance boost: Directory reading is now 16-20 times faster
	  because much fewer KDirTreeViewItems are cloned during reading

	* Using QListViewItem::compare() instead of QListViewItem::key()
	  for better performance: less string operations / numeric formatting


2003-04-28  Stefan Hundhammer  <sh@suse.de>

	* Added French translation by Michel Grentzinger <mic.grentz@online.fr>

	* Don't add up special files (char/block devices, sockets, FIFOs)


2003-02-03  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 2.3.6

	* Fixed crash on startup when no config file present


2003-02-02  Stefan Hundhammer  <sh@suse.de>

	* Fixed crash in treemap when deleting subtree with cleanup

	* Improved treemap action enabled/disabled state update


2003-01-30  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 2.3.5

	* Colorize treemap tiles (by fixed rules, not customizable yet)

	* Added new '%t' cleanup placeholder for the KDE trash directory

	* Read jobs are now displayed in the percentage bar column


2003-01-28  Stefan Hundhammer  <sh@suse.de>

	* User cleanups now have an applicaton-wide keyboard shortcut
	  (Ctrl-0, Ctrl-1, Ctrl-2, ...)

	* Prevent some treemap segfaults when re-reading directories


2003-01-14  Stefan Hundhammer  <sh@suse.de>

	* Synchronize treemap selection with dir tree after treemap rebuild

2003-01-08  Stefan Hundhammer  <sh@suse.de>

	* Changed activity point handling: The user was prompted far to
	  early to send feedback mail.

	* Changed treemap double click handling:
	  Now double clicking the middle button zooms out,
	  double clicking the right button does nothing
	  (it pops up the context menu before receiving the second click
	  anyway)

	* Changed help file accordingly


2003-01-07  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 2.3.4

	* Updated admin subdir to latest KDE autoconf / automake stuff

	* Gcc 3.x fixes


2003-01-06  Stefan Hundhammer  <sh@suse.de>

	* Tweaked treemap cushion ridges:
	  Squarified layout row now gets its own ridge,
	  no more double /triple ridges for directories

	* Changed treemap cushion light source direction from bottom right
	  to top left

	* Moved min/max/default for treemap settings to central header file

	* Changed max/default treemap setting values

	* Reduced settings dialogs outer borders:
	  No more accumulated borders


2003-01-04  Stefan Hundhammer  <sh@suse.de>

	* Added "general" settings page; now user configurable:
	  - cross file system boundaries
	  - use local dir read methods
	  - PacMan animation in toolbar
	  - PacMan animation ("PacMan armada") in dir tree

	* Added "treemap" settings page: now user configurable:
	  - plain vs. cushion treemap
	  - squarified vs. simple treemap
	  - ambient light
	  - height scale factor
	  - force grid
	  - draw lines upon low contrast
	  - plain (non-cushioned) treemap colors
	  - highlight rectangle color
	  - minimum tile size
	  - auto-resize treemap

	* Added "open URL" in "file" menu for easier access to remote URLs

	* Bumped version to 2.3.3

2003-01-01  Stefan Hundhammer  <sh@suse.de>

	* Added treemap actions
	* Added treemap menu
	* Added treemap context menu
	* Improved treemap integration into main application
	* Added online help for treemaps


2002-12-31  Stefan Hundhammer  <sh@suse.de>

	* Lots of small fiddling with treemaps


2002-12-28  Stefan Hundhammer  <sh@suse.de>

	* Implemented cushion treemaps

	* Bumped version to 2.3.2-devel

	* Changed treemap selection mechanism:
	  Now using a transparent separate rectangle so even the outline
	  of entire directories can  clearly be seen.

2002-12-27  Stefan Hundhammer  <sh@suse.de>

	* Added treemap mouse operations:
	  - select item in tree view (single click left)
	  - zoom in (double-click left)
	  - zoom out (double-click right)
	  - rebuild treemap in visible area (double-click middle)

	* Added visible selection in treemap

	* Select treemap tile when tree item is selected


2002-12-26  Stefan Hundhammer  <sh@suse.de>

	* Implemented squarified treemaps.
	  Now there are no longer lots of elongated, thin rectangles that
	  are hard to compare against each other and hard to point at.


2002-12-23  Stefan Hundhammer  <sh@suse.de>

	* Changed treemap handling completely: Now using QCanvas.

	* Bumped version to 2.3.1-devel

2002-05-12  Stefan Hundhammer  <sh@suse.de>

	* Initial version of new treemaps

	* Communication between treemap view and tree view

	* Bumped version to 2.3.0-devel

2002-05-10  Stefan Hundhammer  <sh@suse.de>

	* Removed support for old treemaps

	* Updated build-howto.html

2002-05-09  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 2.2.0
	  The KDE3 port proved stable enough to warrant a new stable
	  version.

2002-04-23  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 2.1.1-beta

	* Added Japanese translation by
	  Toyohiro Asukai <toyohiro@ksmplus.com>

	* Applied another Asian lang support patch by
	  Toyohiro Asukai <toyohiro@ksmplus.com>:
	  QString::sprintf() -> QString::arg()

2002-04-22  Stefan Hundhammer  <sh@suse.de>

	* Applied Asian language support patch by
	  Toyohiro Asukai <toyohiro@ksmplus.com>:
	  Somme missing QString::fromLocal8Bit() issues

2002-04-18  Stefan Hundhammer  <sh@suse.de>

	* KDE-3 migration:
	  - Replaced admin/ subdirectory completely
	* Bumped version to 2.1.0-beta

2002-03-01  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 2.0.1
	* Added large file (>2GB) support

2002-02-24  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 2.0.0 - the real release version
	* Completed help texts
	* Added "Help" button to feedback dialog
	* Added "Help" button to settings dialog
	* Drastically reduced logging to stdout

2002-02-11  Stefan Hundhammer  <sh@suse.de>

	* Prevent crash: Disable cleanups that modify the subtree while it
	  is still being read

2002-02-10  Stefan Hundhammer  <sh@suse.de>

	* Fixed double slashes in URLs when opening with file selection box
	* Bumped version to 1.8.7-rc2

2002-02-09  Stefan Hundhammer  <sh@suse.de>

	* Fixed huge numbers overflow in details context popup
	* Fixed huge numbers sorting
	* Added new action "continue reading at mount point".
	  This is essentially the same as "refreshing selected branch",
	  but it's more intuitive to use.

2002-02-02  Stefan Hundhammer  <sh@suse.de>

	* Initial help documentation
	* Bumped version to 1.8.6-rc1
	  This is the first release candidate.
	  The final version will be released as 2.0

2002-01-27  Stefan Hundhammer  <sh@suse.de>

	* Fixed update bug upon "refresh branch" and executing cleanups
	* Embed cleanup %p / %n parameters in double quotes
	* Added keyboard accelerators for standard cleanups
	* (Partial) fix for PacMan animation display error on some KDE themes
	* Bumped version to 1.8.5-beta

2002-01-19  Stefan Hundhammer  <sh@suse.de>

	* Added feedback mail facility
	* Bumped version to 1.8.4-beta

2002-01-10  Stefan Hundhammer  <sh@suse.de>

	* Fixed repaint error in percentage bar column when scrolling
	* Fixed repaint error when resizing percentage bar column

2002-01-04  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 1.8.3-beta
	  The new KDirStat is now as complete as the old one ever was!

	* Added simple 'mail to owner' report
	* Implemented cleanup configuration
	* Added 'ask for confirmation' flag to cleanups
	* Added 'works for local files only' flag to cleanups
	* Fixed URL handling: Always strip off trailing slash
	* Fixed app icon
	* Fixed .desktop file - KDirStat is now in 'Utilities'

2002-01-03  Stefan Hundhammer  <sh@suse.de>

	* Implemented save/read configuration
	* Updated TODO list - gosh, was this thing outdated!
	* kdDebug() operator << for KCleanup
	* kdDebug() operator << for KDirTreeViewItem


2002-01-02  Stefan Hundhammer  <sh@suse.de>

	* Implemented 'settings' dialog
	* Implemented 'tree colors' settings


2002-01-01  Stefan Hundhammer  <sh@suse.de>

	* Implemented / completed KCleanupCollection
	* Fixed some core dumps (oops)


2001-12-31  Stefan Hundhammer  <sh@suse.de>

	* kdDebug() operator<< for KFileInfo


2001-12-30  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 1.8.2-beta
	* Cleanups are back!


2001-12-26  Stefan Hundhammer  <sh@suse.de>

	* Mount point remains marked as mount point even after
	  "refresh selected branch"

	* KFileInfo / KDirInfo now have direct access to their
	  KDirTree (i.e. they now have their own pointer)
	  => transparent access from outside easier


2001-12-08  Stefan Hundhammer  <sh@suse.de>

	* Tree colors are back again

	* Transparently handle selections in the KDirTree;
	  all kinds of views should benefit from that.


2001-11-25  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 1.8.0-beta

	* Added "Refresh selected" to main + context menu

	* Implemented refreshing a single branch

	* Many internal changes to enable deleting subtrees
	  (this is a requirement for cleanups)

	* Internal cleanup: Got rid of that statRoot() mess,
	  clean ??::stat() implementation for all directory readers


2001-11-18  Stefan Hundhammer  <sh@suse.de>

	* Bumped version to 1.7.11-devel

	* Improved mount point handling:
	  * Different icon,
	  * New read status KDirOnRequestOnly
	  * Prepared for explicit reading of mounted file systems

	* Created infrastructure for context menu in tree view

	* Simple context menu (cleanup actions will follow)


2001-11-17  Stefan Hundhammer  <sh@suse.de>

	* Moved treemap sources to separate subdirectory to prevent that
	  too-clever admin/am_edit script from breaking things: It always
	  uses all available sources rather than just those in
	  Makefile.am.

	* Changed default from --enable-treemaps to --disable-treemaps
	  since treemaps don't compile and link for more than 6 weeks now.

	* Updated build-howto.html


2001-10-22 Harald Fernengel (harry1701@users.sourceforge.net)

	* make it work with Qt 3 / KDE 3

2001-09-26 Alexander Rawass <alexannika@users.sourceforge.net>

	* committed Makefile.am from kdirstat-1-7-10-devel

2001-09-26 Alexander Rawass <alexannika@users.sourceforge.net>

	* debugging output in kparts

2001-09-25 Alexander Rawass <alexannika@users.sourceforge.net>

	* added files kdirstat_{part,factory}.{cpp,h,rc}
	* trying to make a kpart of kdirstat
	* libtool does not work for me yet

2001-08-20 Alexander Rawass <alexannika@users.sourceforge.net>

	* modified configure.in.in to test for libqtreemap
	  test may not work on some/most systems

2001-08-18 Alexander Rawass <alexannika@users.sourceforge.net>

	* V1.7.8-devel
	* added kdirstat.spec (to build rpms)
	* released kdirstat-1.7.8-1.i386.rpm

2001-08-17 Alexander Rawass <alexannika@users.sourceforge.net>

	* removed files q*{cpp,h} from cvs
	* removed doc/treemaps from cvs
	* modified configure.in and kdirstat/Makefile.am
	* QTreeMap is now in it's own cvs qtreemap.sourceforge.net

2001-08-11 Alexander Rawass <alexannika@users.sourceforge.net>

	* QTreeMap can write data files for 'HypView',
	  a hyperbolic tree browser

2001-08-09 Alexander Rawass <alexannika@users.sourceforge.net>

	* changed all size-functions from int to asize/float
	* qxmltreemap: if a node has got an empty attribute 'size',
	  the size is calculated recursively

	* new files & classes
	  qlistviewtreemapwindow.cpp
	  qlistviewtreemapwindow.h
	  qlistviewtreemaparea.cpp
	  qlistviewtreemap.h
	  qxmltreemapviewer.cpp

	* files q*treemap* are built as a library libqtreemap
	* new qxmltreemapviewer binary:
	  stand-alone QT/Xml Treemap Viewer
	* QTreeMap/QListViewTreeMapArea works fine with KProf

2001-08-09  Stefan Hundhammer  <sh@suse.de>

	* Added "credits" section in about box

2001-08-08  Stefan Hundhammer  <sh@suse.de>

	* Implemented iterator classes: KFileInfoIterator and
	  KFileInfoSortedIterator
	* Added CREDITS file

2001-08-06  Stefan Hundhammer  <sh@suse.de>

	* Fixed segfaults due to bad dot entry cleanup (huh? ;-)  ) that
	  had caused core dumps after finishing reading small trees

2001-08-05 Alexander Rawass <alexannika@users.sourceforge.net>

	* compiler warnings removed
	* using List of Objects (instead List of KDirInfo)
	* Bug: regexps not working in xml-window
	       selection not working in xml-window
	* removed dependencies to KDirStat from QTreeMap

2001-07-29 Alexander Rawass <alexannika@users.sourceforge.net>

	* load XML working (with memory hole)

2001-07-28 Alexander Rawass <alexannika@users.sourceforge.net>

	* new sort of treemap/drawing mode: piemap
	  added file qtreemaparea_piemap.cpp
	  will not get checked in until legal problems solved
	* checkmarks work also for paintmode

	* new options for piemap mode
	* bitmap can be saved to a file
	* tree can be saved as xml file

	* new files & classes
	  qxmltreemapwindow.cpp
	  qxmltreemapwindow.h
	  qxmltreemaparea.cpp
	  qxmltreemap.h
	  (don't work yet)

	* new defines for compilation:
	  HAVE_PIEMAP if you have the piemap source
	  EXPERIMENTAL if you want to see more options

2001-07-17 Alexander Rawass <alexannika@users.sourceforge.net>

	* user can use keywords instead of numbers for options
	* checkmarks start working
	* yet only with drawmode

2001-07-16 Alexander Rawass <alexannika@users.sourceforge.net>

	* user can now use regexps or wildcards in config
	* regexps are now compiled only once at startup
	* wildcards are working correctly
	* regexps need 3 /// backslashes in kdirstatrc
	* Feature: the color list is parsed in alphabetic sort

2001-07-14 Alexander Rawass <alexannika@users.sourceforge.net>

	* KDirTreeMapWindow reads out configuration with KConfig
	* Bug: regexps are not working correctly

2001-07-13 Alexander Rawass <alexannika@users.sourceforge.net>

	* user can click on rectangles and select/deselect them
	* those rectangles are stored in a list and appear
	  at the bottom of the right-button popupmenu

2001-07-12 Alexander Rawass <alexannika@users.sourceforge.net>

	* user can search for regexp, matches get highlighted
	* current_dir_display working again

2001-07-11 Alexander Rawass <alexannika@users.sourceforge.net>

	* new shading: image (sensible only with squarify)
	  displays pictures, can be used as picture browser
	* removed most warnings

2001-07-11 Alexander Rawass <alexannika@users.sourceforge.net>

	* various bugs fixed in squarified treemaps:
	  correct end of recursion
	  using floats rather than ints to prevent miscalc.
	  should work now????
	* new hierarchical shadings


2001-07-10 Alexander Rawass <alexannika@users.sourceforge.net>

	* implemented squarified treemaps (experimental, buggy)
	* new file added: qtreemaparea_squarify.cpp
	* Bug: when zooming in too much, the paintarea takes up too much
	  memory -> X swaps till death

2001-07-05 Alexander Rawass <alexannika@users.sourceforge.net>

	* more options and exp. shadings
	* experimental dynamic shading (not working)
	* user can watch treemap build up
	* paintEntry moved to qtreemaparea_paint.cpp
	* drawTreeMap,drawDuTree,CTM moved to qtreemaparea_recursion.cpp
	* renamed some of the shadings and
	* wrote some Documentation how to use Shadings and Options


2001-07-03 Alexander Rawass <alexannika@users.sourceforge.net>

	* QTreeMapWindow is now an abstract class
	* KDirTreeMapWindow implements makeTreeMapWidget()
	* experimental hierach. cushion
	* new menu options (experimental & debugging)
	* new way to make a border (border_step)
	* CTM (Cushion Treemap) test routine added (not working yet)
	* new Bug: I'm getting warnings about wrong RGB parameters,
		even in flat mode


2001-07-01 Alexander Rawass <alexannika@users.sourceforge.net>

        * QTreeMapArea is now a general abstract class to display hierarchies of any kind (not connected to KDirStat anymore)
        * KDirTreeMapArea is the implementation for KDirStat
        * new Bug: signals/slot not working correctly
        * Bug fixed: crashed when telling kdirstat to display a directory which does not exist


2001-06-29  Stefan Hundhammer  <sh@suse.de>

	* Moved CVS to SourceForge

2001-06-24  Alexander Rawass <alexannika@users.sourceforge.net>

	* V1.7.6-Devel
        * Removed Zoom Bug
        * Removed DM_FILES Bug
        * Faster shading (dirs are always drawn flat)
        * New directory coloring (shades of grey)
        * Options for start direction, border width, draw text
        * Removed most compiler warnings

2001-06-18  Stefan Hundhammer  <sh@suse.de>

	* V1.7.3-Devel
	* Applied first treemap patch from
	  Alexander Rawass <alexannika@users.sourceforge.net>
	* Added Alexander Rawass to authors list
	* Improved treemap repaint behaviour (not perfect yet)

2001-06-17  Stefan Hundhammer  <sh@suse.de>

	* V1.7.2-Alpha
	* Implemented support for all of KDE's IO protocols (ftp, smb, ...)
	* Fixed PacMan warnings on premature exit

